IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network11.104.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
11.104.0.0- Broadcast address
11.111.255.255- First usable
11.104.0.1- Last usable
11.111.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
0B680000· Integer191365120to191889407 - Reverse DNS zones
104.11.in-addr.arpa105.11.in-addr.arpa106.11.in-addr.arpa107.11.in-addr.arpa108.11.in-addr.arpa109.11.in-addr.arpa110.11.in-addr.arpa111.11.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001011.01101000.00000000.00000000 | 11.104.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 00001011.01101000.00000000.00000000 | 11.104.0.0 |
| Broadcast | 00001011.01101111.11111111.11111111 | 11.111.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
11.104.0.0/13 makes 256 subnets of /21.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 11.104.0.0/21 | 11.104.0.1 to 11.104.7.254 | 11.104.7.255 | 2,046 |
| 2 | 11.104.8.0/21 | 11.104.8.1 to 11.104.15.254 | 11.104.15.255 | 2,046 |
| 3 | 11.104.16.0/21 | 11.104.16.1 to 11.104.23.254 | 11.104.23.255 | 2,046 |
| 4 | 11.104.24.0/21 | 11.104.24.1 to 11.104.31.254 | 11.104.31.255 | 2,046 |
| 5 | 11.104.32.0/21 | 11.104.32.1 to 11.104.39.254 | 11.104.39.255 | 2,046 |
| 6 | 11.104.40.0/21 | 11.104.40.1 to 11.104.47.254 | 11.104.47.255 | 2,046 |
| 7 | 11.104.48.0/21 | 11.104.48.1 to 11.104.55.254 | 11.104.55.255 | 2,046 |
| 8 | 11.104.56.0/21 | 11.104.56.1 to 11.104.63.254 | 11.104.63.255 | 2,046 |
| 9 | 11.104.64.0/21 | 11.104.64.1 to 11.104.71.254 | 11.104.71.255 | 2,046 |
| 10 | 11.104.72.0/21 | 11.104.72.1 to 11.104.79.254 | 11.104.79.255 | 2,046 |
| 11 | 11.104.80.0/21 | 11.104.80.1 to 11.104.87.254 | 11.104.87.255 | 2,046 |
| 12 | 11.104.88.0/21 | 11.104.88.1 to 11.104.95.254 | 11.104.95.255 | 2,046 |
| 13 | 11.104.96.0/21 | 11.104.96.1 to 11.104.103.254 | 11.104.103.255 | 2,046 |
| 14 | 11.104.104.0/21 | 11.104.104.1 to 11.104.111.254 | 11.104.111.255 | 2,046 |
| 15 | 11.104.112.0/21 | 11.104.112.1 to 11.104.119.254 | 11.104.119.255 | 2,046 |
| 16 | 11.104.120.0/21 | 11.104.120.1 to 11.104.127.254 | 11.104.127.255 | 2,046 |
| 17 | 11.104.128.0/21 | 11.104.128.1 to 11.104.135.254 | 11.104.135.255 | 2,046 |
| 18 | 11.104.136.0/21 | 11.104.136.1 to 11.104.143.254 | 11.104.143.255 | 2,046 |
| 19 | 11.104.144.0/21 | 11.104.144.1 to 11.104.151.254 | 11.104.151.255 | 2,046 |
| 20 | 11.104.152.0/21 | 11.104.152.1 to 11.104.159.254 | 11.104.159.255 | 2,046 |
| 21 | 11.104.160.0/21 | 11.104.160.1 to 11.104.167.254 | 11.104.167.255 | 2,046 |
| 22 | 11.104.168.0/21 | 11.104.168.1 to 11.104.175.254 | 11.104.175.255 | 2,046 |
| 23 | 11.104.176.0/21 | 11.104.176.1 to 11.104.183.254 | 11.104.183.255 | 2,046 |
| 24 | 11.104.184.0/21 | 11.104.184.1 to 11.104.191.254 | 11.104.191.255 | 2,046 |
| 25 | 11.104.192.0/21 | 11.104.192.1 to 11.104.199.254 | 11.104.199.255 | 2,046 |
| 26 | 11.104.200.0/21 | 11.104.200.1 to 11.104.207.254 | 11.104.207.255 | 2,046 |
| 27 | 11.104.208.0/21 | 11.104.208.1 to 11.104.215.254 | 11.104.215.255 | 2,046 |
| 28 | 11.104.216.0/21 | 11.104.216.1 to 11.104.223.254 | 11.104.223.255 | 2,046 |
| 29 | 11.104.224.0/21 | 11.104.224.1 to 11.104.231.254 | 11.104.231.255 | 2,046 |
| 30 | 11.104.232.0/21 | 11.104.232.1 to 11.104.239.254 | 11.104.239.255 | 2,046 |
| 31 | 11.104.240.0/21 | 11.104.240.1 to 11.104.247.254 | 11.104.247.255 | 2,046 |
| 32 | 11.104.248.0/21 | 11.104.248.1 to 11.104.255.254 | 11.104.255.255 | 2,046 |
| 33 | 11.105.0.0/21 | 11.105.0.1 to 11.105.7.254 | 11.105.7.255 | 2,046 |
| 34 | 11.105.8.0/21 | 11.105.8.1 to 11.105.15.254 | 11.105.15.255 | 2,046 |
| 35 | 11.105.16.0/21 | 11.105.16.1 to 11.105.23.254 | 11.105.23.255 | 2,046 |
| 36 | 11.105.24.0/21 | 11.105.24.1 to 11.105.31.254 | 11.105.31.255 | 2,046 |
| 37 | 11.105.32.0/21 | 11.105.32.1 to 11.105.39.254 | 11.105.39.255 | 2,046 |
| 38 | 11.105.40.0/21 | 11.105.40.1 to 11.105.47.254 | 11.105.47.255 | 2,046 |
| 39 | 11.105.48.0/21 | 11.105.48.1 to 11.105.55.254 | 11.105.55.255 | 2,046 |
| 40 | 11.105.56.0/21 | 11.105.56.1 to 11.105.63.254 | 11.105.63.255 | 2,046 |
| 41 | 11.105.64.0/21 | 11.105.64.1 to 11.105.71.254 | 11.105.71.255 | 2,046 |
| 42 | 11.105.72.0/21 | 11.105.72.1 to 11.105.79.254 | 11.105.79.255 | 2,046 |
| 43 | 11.105.80.0/21 | 11.105.80.1 to 11.105.87.254 | 11.105.87.255 | 2,046 |
| 44 | 11.105.88.0/21 | 11.105.88.1 to 11.105.95.254 | 11.105.95.255 | 2,046 |
| 45 | 11.105.96.0/21 | 11.105.96.1 to 11.105.103.254 | 11.105.103.255 | 2,046 |
| 46 | 11.105.104.0/21 | 11.105.104.1 to 11.105.111.254 | 11.105.111.255 | 2,046 |
| 47 | 11.105.112.0/21 | 11.105.112.1 to 11.105.119.254 | 11.105.119.255 | 2,046 |
| 48 | 11.105.120.0/21 | 11.105.120.1 to 11.105.127.254 | 11.105.127.255 | 2,046 |
| 49 | 11.105.128.0/21 | 11.105.128.1 to 11.105.135.254 | 11.105.135.255 | 2,046 |
| 50 | 11.105.136.0/21 | 11.105.136.1 to 11.105.143.254 | 11.105.143.255 | 2,046 |
| 51 | 11.105.144.0/21 | 11.105.144.1 to 11.105.151.254 | 11.105.151.255 | 2,046 |
| 52 | 11.105.152.0/21 | 11.105.152.1 to 11.105.159.254 | 11.105.159.255 | 2,046 |
| 53 | 11.105.160.0/21 | 11.105.160.1 to 11.105.167.254 | 11.105.167.255 | 2,046 |
| 54 | 11.105.168.0/21 | 11.105.168.1 to 11.105.175.254 | 11.105.175.255 | 2,046 |
| 55 | 11.105.176.0/21 | 11.105.176.1 to 11.105.183.254 | 11.105.183.255 | 2,046 |
| 56 | 11.105.184.0/21 | 11.105.184.1 to 11.105.191.254 | 11.105.191.255 | 2,046 |
| 57 | 11.105.192.0/21 | 11.105.192.1 to 11.105.199.254 | 11.105.199.255 | 2,046 |
| 58 | 11.105.200.0/21 | 11.105.200.1 to 11.105.207.254 | 11.105.207.255 | 2,046 |
| 59 | 11.105.208.0/21 | 11.105.208.1 to 11.105.215.254 | 11.105.215.255 | 2,046 |
| 60 | 11.105.216.0/21 | 11.105.216.1 to 11.105.223.254 | 11.105.223.255 | 2,046 |
| 61 | 11.105.224.0/21 | 11.105.224.1 to 11.105.231.254 | 11.105.231.255 | 2,046 |
| 62 | 11.105.232.0/21 | 11.105.232.1 to 11.105.239.254 | 11.105.239.255 | 2,046 |
| 63 | 11.105.240.0/21 | 11.105.240.1 to 11.105.247.254 | 11.105.247.255 | 2,046 |
| 64 | 11.105.248.0/21 | 11.105.248.1 to 11.105.255.254 | 11.105.255.255 | 2,046 |
| 65 | 11.106.0.0/21 | 11.106.0.1 to 11.106.7.254 | 11.106.7.255 | 2,046 |
| 66 | 11.106.8.0/21 | 11.106.8.1 to 11.106.15.254 | 11.106.15.255 | 2,046 |
| 67 | 11.106.16.0/21 | 11.106.16.1 to 11.106.23.254 | 11.106.23.255 | 2,046 |
| 68 | 11.106.24.0/21 | 11.106.24.1 to 11.106.31.254 | 11.106.31.255 | 2,046 |
| 69 | 11.106.32.0/21 | 11.106.32.1 to 11.106.39.254 | 11.106.39.255 | 2,046 |
| 70 | 11.106.40.0/21 | 11.106.40.1 to 11.106.47.254 | 11.106.47.255 | 2,046 |
| 71 | 11.106.48.0/21 | 11.106.48.1 to 11.106.55.254 | 11.106.55.255 | 2,046 |
| 72 | 11.106.56.0/21 | 11.106.56.1 to 11.106.63.254 | 11.106.63.255 | 2,046 |
| 73 | 11.106.64.0/21 | 11.106.64.1 to 11.106.71.254 | 11.106.71.255 | 2,046 |
| 74 | 11.106.72.0/21 | 11.106.72.1 to 11.106.79.254 | 11.106.79.255 | 2,046 |
| 75 | 11.106.80.0/21 | 11.106.80.1 to 11.106.87.254 | 11.106.87.255 | 2,046 |
| 76 | 11.106.88.0/21 | 11.106.88.1 to 11.106.95.254 | 11.106.95.255 | 2,046 |
| 77 | 11.106.96.0/21 | 11.106.96.1 to 11.106.103.254 | 11.106.103.255 | 2,046 |
| 78 | 11.106.104.0/21 | 11.106.104.1 to 11.106.111.254 | 11.106.111.255 | 2,046 |
| 79 | 11.106.112.0/21 | 11.106.112.1 to 11.106.119.254 | 11.106.119.255 | 2,046 |
| 80 | 11.106.120.0/21 | 11.106.120.1 to 11.106.127.254 | 11.106.127.255 | 2,046 |
| 81 | 11.106.128.0/21 | 11.106.128.1 to 11.106.135.254 | 11.106.135.255 | 2,046 |
| 82 | 11.106.136.0/21 | 11.106.136.1 to 11.106.143.254 | 11.106.143.255 | 2,046 |
| 83 | 11.106.144.0/21 | 11.106.144.1 to 11.106.151.254 | 11.106.151.255 | 2,046 |
| 84 | 11.106.152.0/21 | 11.106.152.1 to 11.106.159.254 | 11.106.159.255 | 2,046 |
| 85 | 11.106.160.0/21 | 11.106.160.1 to 11.106.167.254 | 11.106.167.255 | 2,046 |
| 86 | 11.106.168.0/21 | 11.106.168.1 to 11.106.175.254 | 11.106.175.255 | 2,046 |
| 87 | 11.106.176.0/21 | 11.106.176.1 to 11.106.183.254 | 11.106.183.255 | 2,046 |
| 88 | 11.106.184.0/21 | 11.106.184.1 to 11.106.191.254 | 11.106.191.255 | 2,046 |
| 89 | 11.106.192.0/21 | 11.106.192.1 to 11.106.199.254 | 11.106.199.255 | 2,046 |
| 90 | 11.106.200.0/21 | 11.106.200.1 to 11.106.207.254 | 11.106.207.255 | 2,046 |
| 91 | 11.106.208.0/21 | 11.106.208.1 to 11.106.215.254 | 11.106.215.255 | 2,046 |
| 92 | 11.106.216.0/21 | 11.106.216.1 to 11.106.223.254 | 11.106.223.255 | 2,046 |
| 93 | 11.106.224.0/21 | 11.106.224.1 to 11.106.231.254 | 11.106.231.255 | 2,046 |
| 94 | 11.106.232.0/21 | 11.106.232.1 to 11.106.239.254 | 11.106.239.255 | 2,046 |
| 95 | 11.106.240.0/21 | 11.106.240.1 to 11.106.247.254 | 11.106.247.255 | 2,046 |
| 96 | 11.106.248.0/21 | 11.106.248.1 to 11.106.255.254 | 11.106.255.255 | 2,046 |
| 97 | 11.107.0.0/21 | 11.107.0.1 to 11.107.7.254 | 11.107.7.255 | 2,046 |
| 98 | 11.107.8.0/21 | 11.107.8.1 to 11.107.15.254 | 11.107.15.255 | 2,046 |
| 99 | 11.107.16.0/21 | 11.107.16.1 to 11.107.23.254 | 11.107.23.255 | 2,046 |
| 100 | 11.107.24.0/21 | 11.107.24.1 to 11.107.31.254 | 11.107.31.255 | 2,046 |
| 101 | 11.107.32.0/21 | 11.107.32.1 to 11.107.39.254 | 11.107.39.255 | 2,046 |
| 102 | 11.107.40.0/21 | 11.107.40.1 to 11.107.47.254 | 11.107.47.255 | 2,046 |
| 103 | 11.107.48.0/21 | 11.107.48.1 to 11.107.55.254 | 11.107.55.255 | 2,046 |
| 104 | 11.107.56.0/21 | 11.107.56.1 to 11.107.63.254 | 11.107.63.255 | 2,046 |
| 105 | 11.107.64.0/21 | 11.107.64.1 to 11.107.71.254 | 11.107.71.255 | 2,046 |
| 106 | 11.107.72.0/21 | 11.107.72.1 to 11.107.79.254 | 11.107.79.255 | 2,046 |
| 107 | 11.107.80.0/21 | 11.107.80.1 to 11.107.87.254 | 11.107.87.255 | 2,046 |
| 108 | 11.107.88.0/21 | 11.107.88.1 to 11.107.95.254 | 11.107.95.255 | 2,046 |
| 109 | 11.107.96.0/21 | 11.107.96.1 to 11.107.103.254 | 11.107.103.255 | 2,046 |
| 110 | 11.107.104.0/21 | 11.107.104.1 to 11.107.111.254 | 11.107.111.255 | 2,046 |
| 111 | 11.107.112.0/21 | 11.107.112.1 to 11.107.119.254 | 11.107.119.255 | 2,046 |
| 112 | 11.107.120.0/21 | 11.107.120.1 to 11.107.127.254 | 11.107.127.255 | 2,046 |
| 113 | 11.107.128.0/21 | 11.107.128.1 to 11.107.135.254 | 11.107.135.255 | 2,046 |
| 114 | 11.107.136.0/21 | 11.107.136.1 to 11.107.143.254 | 11.107.143.255 | 2,046 |
| 115 | 11.107.144.0/21 | 11.107.144.1 to 11.107.151.254 | 11.107.151.255 | 2,046 |
| 116 | 11.107.152.0/21 | 11.107.152.1 to 11.107.159.254 | 11.107.159.255 | 2,046 |
| 117 | 11.107.160.0/21 | 11.107.160.1 to 11.107.167.254 | 11.107.167.255 | 2,046 |
| 118 | 11.107.168.0/21 | 11.107.168.1 to 11.107.175.254 | 11.107.175.255 | 2,046 |
| 119 | 11.107.176.0/21 | 11.107.176.1 to 11.107.183.254 | 11.107.183.255 | 2,046 |
| 120 | 11.107.184.0/21 | 11.107.184.1 to 11.107.191.254 | 11.107.191.255 | 2,046 |
| 121 | 11.107.192.0/21 | 11.107.192.1 to 11.107.199.254 | 11.107.199.255 | 2,046 |
| 122 | 11.107.200.0/21 | 11.107.200.1 to 11.107.207.254 | 11.107.207.255 | 2,046 |
| 123 | 11.107.208.0/21 | 11.107.208.1 to 11.107.215.254 | 11.107.215.255 | 2,046 |
| 124 | 11.107.216.0/21 | 11.107.216.1 to 11.107.223.254 | 11.107.223.255 | 2,046 |
| 125 | 11.107.224.0/21 | 11.107.224.1 to 11.107.231.254 | 11.107.231.255 | 2,046 |
| 126 | 11.107.232.0/21 | 11.107.232.1 to 11.107.239.254 | 11.107.239.255 | 2,046 |
| 127 | 11.107.240.0/21 | 11.107.240.1 to 11.107.247.254 | 11.107.247.255 | 2,046 |
| 128 | 11.107.248.0/21 | 11.107.248.1 to 11.107.255.254 | 11.107.255.255 | 2,046 |
| 129 | 11.108.0.0/21 | 11.108.0.1 to 11.108.7.254 | 11.108.7.255 | 2,046 |
| 130 | 11.108.8.0/21 | 11.108.8.1 to 11.108.15.254 | 11.108.15.255 | 2,046 |
| 131 | 11.108.16.0/21 | 11.108.16.1 to 11.108.23.254 | 11.108.23.255 | 2,046 |
| 132 | 11.108.24.0/21 | 11.108.24.1 to 11.108.31.254 | 11.108.31.255 | 2,046 |
| 133 | 11.108.32.0/21 | 11.108.32.1 to 11.108.39.254 | 11.108.39.255 | 2,046 |
| 134 | 11.108.40.0/21 | 11.108.40.1 to 11.108.47.254 | 11.108.47.255 | 2,046 |
| 135 | 11.108.48.0/21 | 11.108.48.1 to 11.108.55.254 | 11.108.55.255 | 2,046 |
| 136 | 11.108.56.0/21 | 11.108.56.1 to 11.108.63.254 | 11.108.63.255 | 2,046 |
| 137 | 11.108.64.0/21 | 11.108.64.1 to 11.108.71.254 | 11.108.71.255 | 2,046 |
| 138 | 11.108.72.0/21 | 11.108.72.1 to 11.108.79.254 | 11.108.79.255 | 2,046 |
| 139 | 11.108.80.0/21 | 11.108.80.1 to 11.108.87.254 | 11.108.87.255 | 2,046 |
| 140 | 11.108.88.0/21 | 11.108.88.1 to 11.108.95.254 | 11.108.95.255 | 2,046 |
| 141 | 11.108.96.0/21 | 11.108.96.1 to 11.108.103.254 | 11.108.103.255 | 2,046 |
| 142 | 11.108.104.0/21 | 11.108.104.1 to 11.108.111.254 | 11.108.111.255 | 2,046 |
| 143 | 11.108.112.0/21 | 11.108.112.1 to 11.108.119.254 | 11.108.119.255 | 2,046 |
| 144 | 11.108.120.0/21 | 11.108.120.1 to 11.108.127.254 | 11.108.127.255 | 2,046 |
| 145 | 11.108.128.0/21 | 11.108.128.1 to 11.108.135.254 | 11.108.135.255 | 2,046 |
| 146 | 11.108.136.0/21 | 11.108.136.1 to 11.108.143.254 | 11.108.143.255 | 2,046 |
| 147 | 11.108.144.0/21 | 11.108.144.1 to 11.108.151.254 | 11.108.151.255 | 2,046 |
| 148 | 11.108.152.0/21 | 11.108.152.1 to 11.108.159.254 | 11.108.159.255 | 2,046 |
| 149 | 11.108.160.0/21 | 11.108.160.1 to 11.108.167.254 | 11.108.167.255 | 2,046 |
| 150 | 11.108.168.0/21 | 11.108.168.1 to 11.108.175.254 | 11.108.175.255 | 2,046 |
| 151 | 11.108.176.0/21 | 11.108.176.1 to 11.108.183.254 | 11.108.183.255 | 2,046 |
| 152 | 11.108.184.0/21 | 11.108.184.1 to 11.108.191.254 | 11.108.191.255 | 2,046 |
| 153 | 11.108.192.0/21 | 11.108.192.1 to 11.108.199.254 | 11.108.199.255 | 2,046 |
| 154 | 11.108.200.0/21 | 11.108.200.1 to 11.108.207.254 | 11.108.207.255 | 2,046 |
| 155 | 11.108.208.0/21 | 11.108.208.1 to 11.108.215.254 | 11.108.215.255 | 2,046 |
| 156 | 11.108.216.0/21 | 11.108.216.1 to 11.108.223.254 | 11.108.223.255 | 2,046 |
| 157 | 11.108.224.0/21 | 11.108.224.1 to 11.108.231.254 | 11.108.231.255 | 2,046 |
| 158 | 11.108.232.0/21 | 11.108.232.1 to 11.108.239.254 | 11.108.239.255 | 2,046 |
| 159 | 11.108.240.0/21 | 11.108.240.1 to 11.108.247.254 | 11.108.247.255 | 2,046 |
| 160 | 11.108.248.0/21 | 11.108.248.1 to 11.108.255.254 | 11.108.255.255 | 2,046 |
| 161 | 11.109.0.0/21 | 11.109.0.1 to 11.109.7.254 | 11.109.7.255 | 2,046 |
| 162 | 11.109.8.0/21 | 11.109.8.1 to 11.109.15.254 | 11.109.15.255 | 2,046 |
| 163 | 11.109.16.0/21 | 11.109.16.1 to 11.109.23.254 | 11.109.23.255 | 2,046 |
| 164 | 11.109.24.0/21 | 11.109.24.1 to 11.109.31.254 | 11.109.31.255 | 2,046 |
| 165 | 11.109.32.0/21 | 11.109.32.1 to 11.109.39.254 | 11.109.39.255 | 2,046 |
| 166 | 11.109.40.0/21 | 11.109.40.1 to 11.109.47.254 | 11.109.47.255 | 2,046 |
| 167 | 11.109.48.0/21 | 11.109.48.1 to 11.109.55.254 | 11.109.55.255 | 2,046 |
| 168 | 11.109.56.0/21 | 11.109.56.1 to 11.109.63.254 | 11.109.63.255 | 2,046 |
| 169 | 11.109.64.0/21 | 11.109.64.1 to 11.109.71.254 | 11.109.71.255 | 2,046 |
| 170 | 11.109.72.0/21 | 11.109.72.1 to 11.109.79.254 | 11.109.79.255 | 2,046 |
| 171 | 11.109.80.0/21 | 11.109.80.1 to 11.109.87.254 | 11.109.87.255 | 2,046 |
| 172 | 11.109.88.0/21 | 11.109.88.1 to 11.109.95.254 | 11.109.95.255 | 2,046 |
| 173 | 11.109.96.0/21 | 11.109.96.1 to 11.109.103.254 | 11.109.103.255 | 2,046 |
| 174 | 11.109.104.0/21 | 11.109.104.1 to 11.109.111.254 | 11.109.111.255 | 2,046 |
| 175 | 11.109.112.0/21 | 11.109.112.1 to 11.109.119.254 | 11.109.119.255 | 2,046 |
| 176 | 11.109.120.0/21 | 11.109.120.1 to 11.109.127.254 | 11.109.127.255 | 2,046 |
| 177 | 11.109.128.0/21 | 11.109.128.1 to 11.109.135.254 | 11.109.135.255 | 2,046 |
| 178 | 11.109.136.0/21 | 11.109.136.1 to 11.109.143.254 | 11.109.143.255 | 2,046 |
| 179 | 11.109.144.0/21 | 11.109.144.1 to 11.109.151.254 | 11.109.151.255 | 2,046 |
| 180 | 11.109.152.0/21 | 11.109.152.1 to 11.109.159.254 | 11.109.159.255 | 2,046 |
| 181 | 11.109.160.0/21 | 11.109.160.1 to 11.109.167.254 | 11.109.167.255 | 2,046 |
| 182 | 11.109.168.0/21 | 11.109.168.1 to 11.109.175.254 | 11.109.175.255 | 2,046 |
| 183 | 11.109.176.0/21 | 11.109.176.1 to 11.109.183.254 | 11.109.183.255 | 2,046 |
| 184 | 11.109.184.0/21 | 11.109.184.1 to 11.109.191.254 | 11.109.191.255 | 2,046 |
| 185 | 11.109.192.0/21 | 11.109.192.1 to 11.109.199.254 | 11.109.199.255 | 2,046 |
| 186 | 11.109.200.0/21 | 11.109.200.1 to 11.109.207.254 | 11.109.207.255 | 2,046 |
| 187 | 11.109.208.0/21 | 11.109.208.1 to 11.109.215.254 | 11.109.215.255 | 2,046 |
| 188 | 11.109.216.0/21 | 11.109.216.1 to 11.109.223.254 | 11.109.223.255 | 2,046 |
| 189 | 11.109.224.0/21 | 11.109.224.1 to 11.109.231.254 | 11.109.231.255 | 2,046 |
| 190 | 11.109.232.0/21 | 11.109.232.1 to 11.109.239.254 | 11.109.239.255 | 2,046 |
| 191 | 11.109.240.0/21 | 11.109.240.1 to 11.109.247.254 | 11.109.247.255 | 2,046 |
| 192 | 11.109.248.0/21 | 11.109.248.1 to 11.109.255.254 | 11.109.255.255 | 2,046 |
| 193 | 11.110.0.0/21 | 11.110.0.1 to 11.110.7.254 | 11.110.7.255 | 2,046 |
| 194 | 11.110.8.0/21 | 11.110.8.1 to 11.110.15.254 | 11.110.15.255 | 2,046 |
| 195 | 11.110.16.0/21 | 11.110.16.1 to 11.110.23.254 | 11.110.23.255 | 2,046 |
| 196 | 11.110.24.0/21 | 11.110.24.1 to 11.110.31.254 | 11.110.31.255 | 2,046 |
| 197 | 11.110.32.0/21 | 11.110.32.1 to 11.110.39.254 | 11.110.39.255 | 2,046 |
| 198 | 11.110.40.0/21 | 11.110.40.1 to 11.110.47.254 | 11.110.47.255 | 2,046 |
| 199 | 11.110.48.0/21 | 11.110.48.1 to 11.110.55.254 | 11.110.55.255 | 2,046 |
| 200 | 11.110.56.0/21 | 11.110.56.1 to 11.110.63.254 | 11.110.63.255 | 2,046 |
| 201 | 11.110.64.0/21 | 11.110.64.1 to 11.110.71.254 | 11.110.71.255 | 2,046 |
| 202 | 11.110.72.0/21 | 11.110.72.1 to 11.110.79.254 | 11.110.79.255 | 2,046 |
| 203 | 11.110.80.0/21 | 11.110.80.1 to 11.110.87.254 | 11.110.87.255 | 2,046 |
| 204 | 11.110.88.0/21 | 11.110.88.1 to 11.110.95.254 | 11.110.95.255 | 2,046 |
| 205 | 11.110.96.0/21 | 11.110.96.1 to 11.110.103.254 | 11.110.103.255 | 2,046 |
| 206 | 11.110.104.0/21 | 11.110.104.1 to 11.110.111.254 | 11.110.111.255 | 2,046 |
| 207 | 11.110.112.0/21 | 11.110.112.1 to 11.110.119.254 | 11.110.119.255 | 2,046 |
| 208 | 11.110.120.0/21 | 11.110.120.1 to 11.110.127.254 | 11.110.127.255 | 2,046 |
| 209 | 11.110.128.0/21 | 11.110.128.1 to 11.110.135.254 | 11.110.135.255 | 2,046 |
| 210 | 11.110.136.0/21 | 11.110.136.1 to 11.110.143.254 | 11.110.143.255 | 2,046 |
| 211 | 11.110.144.0/21 | 11.110.144.1 to 11.110.151.254 | 11.110.151.255 | 2,046 |
| 212 | 11.110.152.0/21 | 11.110.152.1 to 11.110.159.254 | 11.110.159.255 | 2,046 |
| 213 | 11.110.160.0/21 | 11.110.160.1 to 11.110.167.254 | 11.110.167.255 | 2,046 |
| 214 | 11.110.168.0/21 | 11.110.168.1 to 11.110.175.254 | 11.110.175.255 | 2,046 |
| 215 | 11.110.176.0/21 | 11.110.176.1 to 11.110.183.254 | 11.110.183.255 | 2,046 |
| 216 | 11.110.184.0/21 | 11.110.184.1 to 11.110.191.254 | 11.110.191.255 | 2,046 |
| 217 | 11.110.192.0/21 | 11.110.192.1 to 11.110.199.254 | 11.110.199.255 | 2,046 |
| 218 | 11.110.200.0/21 | 11.110.200.1 to 11.110.207.254 | 11.110.207.255 | 2,046 |
| 219 | 11.110.208.0/21 | 11.110.208.1 to 11.110.215.254 | 11.110.215.255 | 2,046 |
| 220 | 11.110.216.0/21 | 11.110.216.1 to 11.110.223.254 | 11.110.223.255 | 2,046 |
| 221 | 11.110.224.0/21 | 11.110.224.1 to 11.110.231.254 | 11.110.231.255 | 2,046 |
| 222 | 11.110.232.0/21 | 11.110.232.1 to 11.110.239.254 | 11.110.239.255 | 2,046 |
| 223 | 11.110.240.0/21 | 11.110.240.1 to 11.110.247.254 | 11.110.247.255 | 2,046 |
| 224 | 11.110.248.0/21 | 11.110.248.1 to 11.110.255.254 | 11.110.255.255 | 2,046 |
| 225 | 11.111.0.0/21 | 11.111.0.1 to 11.111.7.254 | 11.111.7.255 | 2,046 |
| 226 | 11.111.8.0/21 | 11.111.8.1 to 11.111.15.254 | 11.111.15.255 | 2,046 |
| 227 | 11.111.16.0/21 | 11.111.16.1 to 11.111.23.254 | 11.111.23.255 | 2,046 |
| 228 | 11.111.24.0/21 | 11.111.24.1 to 11.111.31.254 | 11.111.31.255 | 2,046 |
| 229 | 11.111.32.0/21 | 11.111.32.1 to 11.111.39.254 | 11.111.39.255 | 2,046 |
| 230 | 11.111.40.0/21 | 11.111.40.1 to 11.111.47.254 | 11.111.47.255 | 2,046 |
| 231 | 11.111.48.0/21 | 11.111.48.1 to 11.111.55.254 | 11.111.55.255 | 2,046 |
| 232 | 11.111.56.0/21 | 11.111.56.1 to 11.111.63.254 | 11.111.63.255 | 2,046 |
| 233 | 11.111.64.0/21 | 11.111.64.1 to 11.111.71.254 | 11.111.71.255 | 2,046 |
| 234 | 11.111.72.0/21 | 11.111.72.1 to 11.111.79.254 | 11.111.79.255 | 2,046 |
| 235 | 11.111.80.0/21 | 11.111.80.1 to 11.111.87.254 | 11.111.87.255 | 2,046 |
| 236 | 11.111.88.0/21 | 11.111.88.1 to 11.111.95.254 | 11.111.95.255 | 2,046 |
| 237 | 11.111.96.0/21 | 11.111.96.1 to 11.111.103.254 | 11.111.103.255 | 2,046 |
| 238 | 11.111.104.0/21 | 11.111.104.1 to 11.111.111.254 | 11.111.111.255 | 2,046 |
| 239 | 11.111.112.0/21 | 11.111.112.1 to 11.111.119.254 | 11.111.119.255 | 2,046 |
| 240 | 11.111.120.0/21 | 11.111.120.1 to 11.111.127.254 | 11.111.127.255 | 2,046 |
| 241 | 11.111.128.0/21 | 11.111.128.1 to 11.111.135.254 | 11.111.135.255 | 2,046 |
| 242 | 11.111.136.0/21 | 11.111.136.1 to 11.111.143.254 | 11.111.143.255 | 2,046 |
| 243 | 11.111.144.0/21 | 11.111.144.1 to 11.111.151.254 | 11.111.151.255 | 2,046 |
| 244 | 11.111.152.0/21 | 11.111.152.1 to 11.111.159.254 | 11.111.159.255 | 2,046 |
| 245 | 11.111.160.0/21 | 11.111.160.1 to 11.111.167.254 | 11.111.167.255 | 2,046 |
| 246 | 11.111.168.0/21 | 11.111.168.1 to 11.111.175.254 | 11.111.175.255 | 2,046 |
| 247 | 11.111.176.0/21 | 11.111.176.1 to 11.111.183.254 | 11.111.183.255 | 2,046 |
| 248 | 11.111.184.0/21 | 11.111.184.1 to 11.111.191.254 | 11.111.191.255 | 2,046 |
| 249 | 11.111.192.0/21 | 11.111.192.1 to 11.111.199.254 | 11.111.199.255 | 2,046 |
| 250 | 11.111.200.0/21 | 11.111.200.1 to 11.111.207.254 | 11.111.207.255 | 2,046 |
| 251 | 11.111.208.0/21 | 11.111.208.1 to 11.111.215.254 | 11.111.215.255 | 2,046 |
| 252 | 11.111.216.0/21 | 11.111.216.1 to 11.111.223.254 | 11.111.223.255 | 2,046 |
| 253 | 11.111.224.0/21 | 11.111.224.1 to 11.111.231.254 | 11.111.231.255 | 2,046 |
| 254 | 11.111.232.0/21 | 11.111.232.1 to 11.111.239.254 | 11.111.239.255 | 2,046 |
| 255 | 11.111.240.0/21 | 11.111.240.1 to 11.111.247.254 | 11.111.247.255 | 2,046 |
| 256 | 11.111.248.0/21 | 11.111.248.1 to 11.111.255.254 | 11.111.255.255 | 2,046 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |